Newhaven Products > Evaluation Tools

NHD-4.3CTP-Shield library appears to be invalid

(1/1)

Tim_Cole:
Greetings all,
The Arduino development environment (I'm using 1.6.12) can't find a valid library in the file download from: https://github.com/NewhavenDisplay/FTDI_FT801

I didn't notice any cpp files in there, so it looks to me that there's something missing. It's probably finger trouble on my part, but can you suggest where I can look for the library?

Paul_B:
Morning Tim,

For more details, especially for first-time library installers, check out the following tutorial at https://www.arduino.cc/en/Guide/Libraries.

The FTDI_FT801 library which is available for download on our Github page has been tested and verified to work. I verified correct operation this morning using an Arduino Uno and the NHD-4.3CTP-SHIELD-V (Arduino V. 1.0.6).

Has an error occurred while uploading the sketch?


Tim_Cole:
Here's the problem:
1) Start up the Arduino IDE
2) Navigate to Sketch->Include->Add .ZIP library....
3) Select FTDI_FT801-master.zip (which I just downloaded from GitHub before replying)
4) The IDE responds with: "Zip doesn't contain a library"

I've used this procedure many times with other ZIP libraries.

So, do you have any idea about the silly error I'm undoubtedly making?
Cheers, Tim

Tim_Cole:
Ah -- I think I see the problem. It looks like the IDE doesn't recognize the contents of the ZIP file as valid, perhaps because it couldn't find any cpp files. So, I've used the older manual installation procedure of unpacking and copying.

Navigation

[0] Message Index

Go to full version